using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace pcd_g1
{
	class FreeBlockStageObject : BlockStageObject
	{
		public FreeBlockStageObject(int x, int y, string imgName)
			: base(x, y)
		{
			if(imgName != "")
				image = ImageManager.Search(imgName);
			Range = new NormalCollideRange(this);
		}

		public override bool EventProc(EventType type, IStageObject sender, CollideDirection direction)
		{
			return base.EventProc(type, sender, direction);
		}
	}
}
